package com.casic.dcms.model;

import java.util.List;

public class UserBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private String account;
        private String attr1;
        private String avatar;
        private String bizData;
        private String deptId;
        private String deptName;
        private String id;
        private String ipAddr;
        private String name;
        private String phone;
        private String scopeType;
        private String sysData;
        private String targetId;
        private String targetName;
        private String tenantId;
        private List<String> dataScope;
        private List<DevicesBean> devices;
        private List<String> roleList;
        private List<String> roleNames;
        private List<String> roleTips;

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getAttr1() {
            return attr1;
        }

        public void setAttr1(String attr1) {
            this.attr1 = attr1;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getBizData() {
            return bizData;
        }

        public void setBizData(String bizData) {
            this.bizData = bizData;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getIpAddr() {
            return ipAddr;
        }

        public void setIpAddr(String ipAddr) {
            this.ipAddr = ipAddr;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getScopeType() {
            return scopeType;
        }

        public void setScopeType(String scopeType) {
            this.scopeType = scopeType;
        }

        public String getSysData() {
            return sysData;
        }

        public void setSysData(String sysData) {
            this.sysData = sysData;
        }

        public String getTargetId() {
            return targetId;
        }

        public void setTargetId(String targetId) {
            this.targetId = targetId;
        }

        public String getTargetName() {
            return targetName;
        }

        public void setTargetName(String targetName) {
            this.targetName = targetName;
        }

        public String getTenantId() {
            return tenantId;
        }

        public void setTenantId(String tenantId) {
            this.tenantId = tenantId;
        }

        public List<String> getDataScope() {
            return dataScope;
        }

        public void setDataScope(List<String> dataScope) {
            this.dataScope = dataScope;
        }

        public List<DevicesBean> getDevices() {
            return devices;
        }

        public void setDevices(List<DevicesBean> devices) {
            this.devices = devices;
        }

        public List<String> getRoleList() {
            return roleList;
        }

        public void setRoleList(List<String> roleList) {
            this.roleList = roleList;
        }

        public List<String> getRoleNames() {
            return roleNames;
        }

        public void setRoleNames(List<String> roleNames) {
            this.roleNames = roleNames;
        }

        public List<String> getRoleTips() {
            return roleTips;
        }

        public void setRoleTips(List<String> roleTips) {
            this.roleTips = roleTips;
        }

        public static class DevicesBean {
            /**
             * account :
             * deptId :
             * deptName :
             * deviceName : 12345
             * id : 1349258555972796417
             * imei : 1234
             * lastTime : 2021-01-13
             * lastTimeFmt :
             * name :
             * networkNumber : 1234
             * onLine : false
             * phone :
             * positionLat :
             * positionLng :
             * targetId :
             * userId : 1177050541084160002
             */

            private String account;
            private String deptId;
            private String deptName;
            private String deviceName;
            private String id;
            private String imei;
            private String lastTime;
            private String lastTimeFmt;
            private String name;
            private String networkNumber;
            private boolean onLine;
            private String phone;
            private String positionLat;
            private String positionLng;
            private String targetId;
            private String userId;

            public String getAccount() {
                return account;
            }

            public void setAccount(String account) {
                this.account = account;
            }

            public String getDeptId() {
                return deptId;
            }

            public void setDeptId(String deptId) {
                this.deptId = deptId;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }

            public String getDeviceName() {
                return deviceName;
            }

            public void setDeviceName(String deviceName) {
                this.deviceName = deviceName;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getImei() {
                return imei;
            }

            public void setImei(String imei) {
                this.imei = imei;
            }

            public String getLastTime() {
                return lastTime;
            }

            public void setLastTime(String lastTime) {
                this.lastTime = lastTime;
            }

            public String getLastTimeFmt() {
                return lastTimeFmt;
            }

            public void setLastTimeFmt(String lastTimeFmt) {
                this.lastTimeFmt = lastTimeFmt;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getNetworkNumber() {
                return networkNumber;
            }

            public void setNetworkNumber(String networkNumber) {
                this.networkNumber = networkNumber;
            }

            public boolean isOnLine() {
                return onLine;
            }

            public void setOnLine(boolean onLine) {
                this.onLine = onLine;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getPositionLat() {
                return positionLat;
            }

            public void setPositionLat(String positionLat) {
                this.positionLat = positionLat;
            }

            public String getPositionLng() {
                return positionLng;
            }

            public void setPositionLng(String positionLng) {
                this.positionLng = positionLng;
            }

            public String getTargetId() {
                return targetId;
            }

            public void setTargetId(String targetId) {
                this.targetId = targetId;
            }

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }
        }
    }
}
